Bug Hunting Session
Bug 93195 - Default action in Select Firefox Theme should be Search
Summary: Default action in Select Firefox Theme should be Search
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0
Keywords: difficultyBeginner, easyHack, skillCpp, topicUI
Depends on:
Blocks: Firefox-Themes
  Show dependency treegraph
 
Reported: 2015-08-06 12:35 UTC by mal
Modified: 2016-10-25 19:17 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mal 2015-08-06 12:35:53 UTC
If you enter a search term in the Custom Search box and press Enter it closes the window. I think if your cursor is in the search box Enter should search not OK/Cancel
Comment 1 Cor Nouws 2015-08-06 13:15:33 UTC
Thanks for the remark Mal.
I think you are correct:
 - after entering a search term, focus should be on Search 
 - after selecting (tab..) a theme, focus should be on OK

Add needsDevEval - prolly an easy hack
Ciao - Cor
Comment 2 Yousuf Philips (jay) (retired) 2015-08-27 01:13:27 UTC
@Adolfo: Is this something easy you can fix?
Comment 3 Samuel Mehrbrodt (CIB) 2015-10-01 13:37:59 UTC
This is an EasyHack.
The code is here: http://opengrok.libreoffice.org/xref/core/cui/source/options/personalization.cxx
and the ui file here: http://opengrok.libreoffice.org/xref/core/cui/uiconfig/ui/select_persona_dialog.ui

You might look for other text boxes who do something when pressing return for how to fix this.
Please ask here or in IRC if any questions arise.
Comment 4 Samuel Mehrbrodt (CIB) 2015-10-02 10:49:10 UTC
Here is an example how to capture the return event: http://cgit.freedesktop.org/libreoffice/core/commit/?id=39a438dec58f0502a45cccbbc5257ae47e74df68
Comment 5 Yousuf Philips (jay) (retired) 2015-11-04 21:18:14 UTC
Send in a patch to change the default widget in the dialog to the search button - https://gerrit.libreoffice.org/19791. This hopefully is sufficient enough to fix the problem without any code changes.
Comment 6 Commit Notification 2015-11-05 17:34:19 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=05b87c9a75fc36179b10c2995f77768edcd9ad96

tdf#93195 Set default focus to search button

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Robinson Tryon (qubit) 2015-12-16 00:13:41 UTC Comment hidden (obsolete)
Comment 8 Robinson Tryon (qubit) 2016-02-18 16:37:25 UTC Comment hidden (obsolete)